'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const acorn = require('acorn');

function stripLiteral(code) {
  const FILL = " ";
  let result = "";
  function fulfill(index) {
    if (index > result.length)
      result += code.slice(result.length, index).replace(/[^\n]/g, FILL);
  }
  const tokens = acorn.tokenizer(code, {
    ecmaVersion: "latest",
    sourceType: "module"
  });
  for (const token of tokens) {
    fulfill(token.start);
    if (token.type.label === "string")
      result += code[token.start] + FILL.repeat(token.end - token.start - 2) + code[token.end - 1];
    else if (token.type.label === "template")
      result += FILL.repeat(token.end - token.start);
    else
      result += code.slice(token.start, token.end);
  }
  fulfill(code.length);
  return result;
}

exports.stripLiteral = stripLiteral;
